#ifndef VDENTITY_H
#define VDENTITY_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include "VDSprite.h"



/* **********************************************************************************************************************
   VDEntity
   **********************************************************************************************************************/

class VDEntity {
public:
    VDEntity();
    virtual ~VDEntity();

    virtual void Move(int direction);

    LPCSTR GetName();
      void SetName(LPCSTR theName);
       int GetCurrentLocationX();
       int GetCurrentLocationY();
      void SetCurrentLocation(int x, int y);
    LPCSTR GetImageFileLocation();
      void SetImageFileLocation(LPCSTR theImageFileLocation);
       int GetDirection();
      void SetDirection(int aDirection);
     DWORD GetColorKey();
      void SetColorKey(DWORD aColorKey);
protected:
     char name[FILE_NAME_MAX_SIZE];
      int currentLocationX;
      int currentLocationY;
     char imageFileLocation[FILE_NAME_MAX_SIZE];
      int direction;  // 0 null, 1 left, 2 right, 3 up, 4 down
    DWORD colorKey;
};



#endif  // VDENTITY_H